package com.starbuds.server.service.task.constant;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/31
 */
public class JobHandlers {
    /**
     * 直播日榜持久化处理
     */
    public static final String LIVE_RANK_DAILY = "liveRankDailyHandler";

    /**
     * 直播周榜持久化处理
     */
    public static final String LIVE_RANK_WEEKLY = "liveRankWeeklyHandler";

    /**
     * 直播月榜处理
     */
    public static final String LIVE_RANK_MONTHLY = "liveRankMonthlyHandler";

    /**
     * 直播监控状态处理
     */
    public static final String LIVE_MONITOR_STATUS = "liveMonitorStatusHandler";

    /**
     * 每日充值持久化处理
     */
    public static final String RECHARGE_DAILY = "rechargeDailyHandler";

    /**
     * 积分小时榜处理
     */
    public static final String SCORE_RANK_HOUR = "scoreRankHourHandler";

    /**
     * 积分日榜处理
     */
    public static final String SCORE_RANK_DAY = "scoreRankDayHandler";

    /**
     * 积分周榜处理
     */
    public static final String SCORE_RANK_WEEK = "scoreRankWeekHandler";

    /**
     * 积分月榜处理
     */
    public static final String SCORE_RANK_MONTH = "scoreRankMonthHandler";

    /**
     * 会员过期处理
     */
    public static final String VIP_EXPIRE = "vipExpireHandler";

    /**
     * 渠道统计
     */
    public static final String STAT_CHANNEL = "statChannelHandler";

    /**
     * （最后一次）活动排名记录久化处理
     */
    public static final String ACTIVITY_RANK_LAST_RECORD = "activityRankLastRecordHandler";

    /**
     * im运营数据
     */
    public static final String IM_APP_INFO = "imAppInfoHandler";

    /**
     * 背包存量礼物
     */
    public static final String BAG_GIFT = "bagGiftHandler";

    /**
     * 用户钱包存量价值
     */
    public static final String USER_WALLET = "userWalletHandler";

    /**
     * 主播考勤
     */
    public static final String ANCHOR_ATTENDANCE = "anchorAttendanceHandler";

    /**
     * 用户统计
     */
    public static final String STAT_USER = "statUserHandler";

    /**
     * 财务周统计
     */
    public static final String STAT_FINANCIAL_WEEKLY = "statFinancialWeeklyHandler";

    /**
     * 周年庆老粉回归抽奖活动统计
     */
    public static final String ACTIVITY_LOGIN_USER_STAT = "activityLoginUserStat";


    /**
     * 语音房热度
     */
    public static final String RTC_HEAT = "rtcHeatHandler";

    /**
     * 语音房热度重置
     */
    public static final String RTC_HEAT_RESET = "rtcHeatResetHandler";

    /**
     * 语音房mvp改变
     */
    public static final String RTC_MVP_CHANGE = "rtcMvpChangeHandler";

    /**
     * 语聊房在线用户扫描
     */
    public static final String RTC_ROOM_ONLINE_SCAN = "rtcRoomOnlineScan";

    /**
     * 语聊房背景使用扫描
     */
    public static final String RTC_ROOM_BACKGROUD_SCAN = "rtcRoomBackgroudScan";

    /**
     * 星尘转粉钻
     */
    public static final String TRANS_DUST_2_PINK = "transDust2PinkHandler";

    /**
     * 家族申请
     */
    public static final String FAMILY_AUDIT = "familyAuditHandler";

    /**
     * 头条抽奖活动创建
     */
    public static final String HEADLINE_LOTTERY_PERIOD_CREATE = "headlineLotteryPeriodCreateHandler";

    /**
     * 同步所有用户数据到ES
     */
    public static final String SYNC_ALL_USER_2_ES = "syncAllUser2EsHandler";

    /**
     * 同步所有用户的定位城市
     */
    public static final String SYNC_ALL_USER_LOCATION_CITY = "syncAllUserLocationCity";

    /**
     * 同步所有语聊房数据到ES
     */
    public static final String SYNC_ALL_RTC_ROOM_2_ES = "syncAllRtcRoom2EsHandler";

    /**
     * 同步所有敏感词数据到ES
     */
    public static final String SYNC_ALL_FILTER_WORDS_2_ES = "syncAllFilterWords2EsHandler";

    /**
     * 同步照片墙
     */
    public static final String SYNC_PHOTO_WALL = "syncPhotoWallHandler";

    /**
     * 抢龙结算
     */
    public static final String GRAB_SETTLE = "grabSettleHandler";

    /**
     * 处理用户状态封禁到期
     */
    public static final String USER_FORBIDDEN_EXPIRE = "userForbiddenExpireHandler";

    /**
     * 语音房小时榜改变
     */
    public static final String RTC_HOUR_RANK_CHANGE = "rtcHourRankChangeHandler";

    /**
     * 短信推送任务
     */
    public static final String SMS_PUSH_TASK = "smsPushTaskHandler";

    /**
     * 历史数据统计任务
     */
    public static final String STAT_RISK_HISTORY_TASK = "statRiskHistoryHandler";

    /**
     * 每日生成定时任务
     */
    public static final String STAT_GENERATE_RISK_DATA_TASK = "statGenerateRiskDataHandler";

    /**
     * 发放勋章定时任务
     */
    public static final String SEND_MEDAL_TASK = "sendMedalHandler";

    /**
     * 构建守护到期通知
     */
    public static final String BUILD_WATCH_NOTIFY = "buildWatchNotifyHandler";

    /**
     * 守护亲密度排行前20
     */
    public static final String WATCH_SCORE_RANK = "watchScoreRankHandler";

    /**
     * 构建历史关注粉丝数据
     */
    public static final String BUILD_FOLLOW_HIS = "buildFollowHisHandler";

    /**
     * 统计房间弹幕数
     */
    public static final String STAT_ROOM_BARRAGE_TASK = "statRoomBarrageHandler";

    /**
     * 统计用户关系数据(维护关注、粉丝数量)
     */
    public static final String STAT_USER_RELATION_TASK = "statUserRelationHandler";

    /**
     * 统计触发器赠送的礼物
     */
    public static final String STAT_TRIGGER_GIFT_TASK = "statTriggerGiftHandler";

    /**
     * 统计触发器赠送的金币
     */
    public static final String STAT_TRIGGER_COIN_TASK = "statTriggerCoinHandler";

    /**
     * 统计触发器赠送的金币
     */
    public static final String STAT_MANAGER_COIN_TASK = "statManagerCoinHandler";

    /**
     * 统计用户打赏记录报表
     */
    public static final String REPORT_GIFT_GRATUITY_TASK = "reportGiftGratuityHandler";

    /**
     * 生成当天的Excel
     */
    public static final String EXPORT_EXCEL_JOB_DAILY_TASK = "exportExcelJobDailyHandler";

    /**
     * 生成当周的Excel
     */
    public static final String EXPORT_EXCEL_JOB_WEEKLY_TASK = "exportExcelJobWeeklyHandler";

    /**
     * 生成当月的Excel
     */
    public static final String EXPORT_EXCEL_JOB_MONTH_TASK = "exportExcelJobMonthHandler";

    /**
     * 统计赠送房间赠送礼物
     */
    public static final String STAT_RTCROOM_STATEMENT_TASK = "statRtcRoomStatement";

    /**
     * 统计房间消费
     */
    public static final String STAT_RTC_ROOM_GRADE_TASK = "statRtcRoomGradeHandler";

    /**
     * 统计房间消费 - 周维度
     */
    public static final String STAT_RTC_ROOM_GRADE_WEEK_TASK = "statRtcRoomGradeWeekHandler";

    /**
     * 统计房间消费 - 月维度
     */
    public static final String STAT_RTC_ROOM_GRADE_MONTH_TASK = "statRtcRoomGradeMonthHandler";

    /**
     * 房间消费统计-房间类型
     */
    public static final String STAT_RTC_ROOM_GRADE_BUSINESSTYPE_TASK = "statRtcRoomGradeBusinessTypeHandler";

    /**
     * 统计平台统计
     */
    public static final String STAT_PLATFORM_ONLINE_TASK = "statPlatformOnlineHandler";

    /**
     * 统计平台最高同时在线人数
     */
    public static final String STAT_PLATFORM_ONLINE_HIS_USER_TASK = "statPlatformOnlineHisUserHandler";

    /**
     * 统计平台用户总在线时长
     */
    public static final String STAT_PLATFORM_ONLINE_TIME_TASK = "statPlatformOnlineTimeHandler";

    /**
     * 金币统计
     */
    public static final String STAT_GOLD_COIN_TASK = "statGoldCoinHandler";

    /**
     * 金币统计重建, 用于重新进行统计
     */
    public static final String STAT_GOLD_COIN_REBUILD_TASK = "statGoldCoinRebuildHandler";

    /**
     * 清除过期消息key
     */
    public static final String CLEAR_EXPIRE_MESSAGE_TASK = "clearExpireMessageHandler";

    /**
     * 百度内容审核-用户相关(昵称、签名)
     */
    public static final String CENSOR_USER_INFO_TASK = "censorUserInfoJobHandler";

    /**
     * 百度内容审核-用户相关(头像)
     */
    public static final String CENSOR_USER_AVATAR_TASK = "censorUserAvatarJobHandler";

    /**
     * 百度内容审核-照片墙
     */
    public static final String CENSOR_PHOTO_WALL_TASK = "censorPhotoWallJobHandler";

    /**
     * 百度内容审核-动态(图片、文字)
     */
    public static final String CENSOR_FEED_ACTIVITY_TASK = "censorFeedActivityJobHandler";

    /**
     * 审核未成年用户(小于18岁删除认证与银行卡)
     */
    public static final String CENSOR_USER_UNDERAGE_TASK = "censorUserUnderAgeHandler";

    /**
     * 禁言用户解封任务
     */
    public static final String USER_NO_SPEAK_FREE_TASK = "userNoSpeakFreeHandler";

    /**
     * 奖励自动发放
     */
    public static final String ACTIVITY_AUTO_GIVE_REWARD = "activityAutoGiveRewardHandler";

    /**
     * 活动海选晋级
     */
    public static final String ACTIVITY_LEVEL_UP = "activityLevelUpHandler";

    /**
     * 发放风云人物奖励
     */
    public static final String ACTIVITY_GIVE_INFLUENCE_REWARD = "activityGiveInfluenceRewardHandler";

    /**
     * 道具回收 - 礼物碎片
     */
    public static final String PROPS_RECYCLE_GIFT_FRAGMENT = "propsRecycleGiftFragment";

    /**
     * redis key 过期扫描, 因为线上数据量大, 随机采样没法正常处理过期事件, 需要手动调用
     */
    public static final String REDIS_KEY_EXPIRED = "redisKeyExpiredHandler";

    /**
     * 个播主播离线过5分钟就关播
     */
    public static final String RTC_SINGLE_LIVE_OFFLINE = "rtcSingleLiveOfflineHandler";

    /**
     * 抽奖游戏定时任务
     */
    public static final String LOTTERY_GAME = "lotteryGameHandler";

    /**
     * [智企行] 用户自动签约
     */
    public static final String USER_SAILTOB_SIGN_CONTRACT_TASK = "sailtobSignContractHandler";

    /**
     * 烟花通知任务
     */
    public static final String FIREWORK_NOTIFY_TASK_HANDER = "fireworkNotifyTaskHandler";

    /**
     * 挂件通知任务
     */
    public static final String WIDGET_NOTIFY_TASK_HANDER = "widgetNotifyTaskHandler";

    /**
     * 巅峰家族活动结束
     */
    public static final String ANNUAL_GALA_PEAK_FAMILY_FINISH = "annualGalaPeakFamilyFinishHandler";

    /**
     * 巅峰家族活动发放奖励
     */
    public static final String ANNUAL_GALA_PEAK_FAMILY_FINISH_REWARD = "annualGalaPeakFamilyFinishRewardHandler";

    /**
     * 统计周年庆活动任务
     */
    public static final String STAT_ACTIVITY_ANNUAL_TASK = "statActivityAnnaulTaskHandler";

    /**
     * 修复平台统计
     */
    public static final String FIX_STAT_PLATFROM = "fixStatPlatfromHandler";

    /**
     * 修复首页大图状态
     */
    public static final String CHANGE_RTC_RECOMMEND_STATUS = "changeRtcRecommendStatusHandler";

    /**
     * 用户勋章状态置灰
     */
    public static final String USER_MEDAL_STATUS_TO_GREY = "userMedalStatusToGreyHandler";
}
