package com.starbuds.server.service.task.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author: lujiao
 * @Date: 2021/11/2 18:33
 */
@Mapper
@Repository
public interface WishRewardHisDAO {

    /**
     * 获取许愿奖励数量
     *
     * @param rewardType
     * @param beginTime
     * @param endTime
     * @return
     */
    Long getWishRewardStat(@Param("rewardType") Integer rewardType, @Param("beginTime") Long beginTime,
                           @Param("endTime") Long endTime);
}
