package com.starbuds.server.service.task.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author laoliu
 * @DateTime 2021/08/25
 * @Description 导出excel
 */
@Data
public class ExportExcelDTO implements Serializable {

    /**
     * 业务类型
     */
    private Integer bizType;

    /**
     * 是否强制覆盖 1:覆盖
     */
    private Integer isForceCover;

    /**
     * 开始时间
     */
    private Long startTime;

    /**
     * 结束时间
     */
    private Long endTime;

    /**
     * 备注
     */
    private String remark;

}
