package com.starbuds.server.service.task.job;

import com.starbuds.server.service.task.constant.JobHandlers;
import com.starbuds.server.service.task.constant.PlatformGathers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
/**
 * 统计合算触发器赠送礼物
 * @author qingjiang
 */
public class StatGatherUserBagJob extends StatGatherJobBase {

    @XxlJob(value = JobHandlers.STAT_TRIGGER_GIFT_TASK)
    public ReturnT<String> statTriggerGiftTask(String param) {
        logPrefix = "|触发器赠送用户礼物| ";

        startGatherJobEntry(param, PlatformGathers.GATHER_Trigger_GIFT, 0L);
        return ReturnT.SUCCESS;
    }

}
