package com.starbuds.server.service.task.provider;

import com.starbuds.test.BaseTest;
import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Slf4j
public class RongCloudProviderTest extends BaseTest {

    @Resource
    private RongCloudProvider rongCloudProvider;

    public void testGetImOfflineUserIds() {
        List<Long> userIds = new ArrayList<>();
        userIds.add(341133985054720L);
        userIds.add(3L);
        userIds.add(31L);
        List<Long> imOfflineUserIds = rongCloudProvider.getImOfflineUserIds(Long.parseLong("418697546039301"), userIds);
        log.info("离线用户 {}", imOfflineUserIds);
    }
}