package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.ActivityGiveRewardBatchHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper
 */
@Mapper
@Repository
public interface ActivityGiveRewardBatchHisDAO {

    /**
     * 插入数据
     */
    int insert(ActivityGiveRewardBatchHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ActivityGiveRewardBatchHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ActivityGiveRewardBatchHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ActivityGiveRewardBatchHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ActivityGiveRewardBatchHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ActivityGiveRewardBatchHisDO> selectPageList(QueryWrapper qw);

}