package com.starbuds.server.service.task.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/10/19 15:52
 * @Description 家族技能持久层
 */
@Mapper
@Repository
public interface FamilySkillDAO {

    /**
     * 更新状态
     *
     * @param familyId
     * @param userId
     * @param skillStatus
     * @param updateTime
     * @return
     */
    int updateSkillStatus(@Param("familyId") Long familyId, @Param("userId") Long userId, @Param("skillStatus") Integer skillStatus, @Param("updateTime") Long updateTime);
}
