package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.GradeConfigDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

@Mapper
@Repository
public interface GradeConfigDAO {

    /**
     * 获取可用的评分标准
     *
     * @param type
     * @return
     */
    @MapKey("tag")
    Map<Integer, GradeConfigDO> selectConfigMap(@Param("type") Integer type);
}
