package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.UserInviteDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/24 11:28
 * @Description 用户邀请持久层
 */
@Mapper
@Repository
public interface UserInviteDAO {


    /**
     * 获取邀请用户
     *
     * @param time
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<UserInviteDO> selectInvites(@Param("time") Long time, @Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize);

    /**
     * 邀请数据大小
     *
     * @param time
     * @return
     */
    int countInvites(@Param("time") Long time);

}