package com.starbuds.server.service.task.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/***
 * 统计平台汇总返回数据模型
 */
@Data
public class StatPlatformGatherDO implements Serializable {
    /**
     * 数量
     */
    private Long id;

    /**
     * 数量
     */
    private Long quantity;

    /**
     * 统计类型(0:赠送礼物 1:赠送钻石 2:后台礼物管理赠送)
     */
    private Long type;

    /**
     * 统计时段类型(0:时 1:日 2:月 3:年)
     */
    private Long scale;

    /**
     * 创建时间
     */
    private Long timestamp;

    /**
     * 字段扩展值
     */
    private Long ext;

    /**
     * 查询背包为礼物ID、
     */
    private Long itemId;

    /**
     * 记录orderID 活动号
     */
    private Long orderId;
}
