package com.starbuds.server.service.task.rocket.handler;

import com.starbuds.server.common.pojo.mq.QueuePushTaskAddMsg;
import com.starbuds.server.service.task.provider.PushTaskProvider;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 延迟消息处理
 */
@Component
@Slf4j
public class DelayMsgHandler {

    @Resource
    PushTaskProvider pushTaskProvider;

    /**
     * 处理推送任务添加
     *
     * @param msg
     */
    public void handlePushTaskAdd(QueuePushTaskAddMsg msg) {
        pushTaskProvider.handlePushTaskAdd(msg);
    }
}
